data:extend({
    { --MARK: RTG
  type = "burner-generator",
  name = "test-buffer-capacity",
  icon = "__base__/graphics/icons/fish.png",
  icon_size = 64,
  flags = { "placeable-neutral", "player-creation" },
  minable = { mining_time = 0.7, result = "assembling-machine-2" },
  max_health = 1200,
  corpse = "nuclear-reactor-remnants",
  dying_explosion  = "nuclear-reactor-explosion",
  max_power_output = "20MW",
  burner =
  {
    type = "burner",
    fuel_categories = {"chemical"},
    effectivity = 2,
    fuel_inventory_size = 2,
    burnt_inventory_size = 2,
    light_flicker =
    {
      color = { 0, 0, 0 },
      minimum_intensity = 0.7,
      maximum_intensity = 0.95
    }
  },
  energy_source = 
  {
    type = "electric",
    buffer_capacity = "20MJ",
    usage_priority = "secondary-output",
  },
  collision_box = { { -0.9, -0.9 }, { 0.9, 0.9} },
  selection_box = { { -1, -1 }, { 1, 1 } },
  animation =
  {
    layers =
    {
      {
        filename = "__buffercapacitytest__/RTG.png",
        width = 192,
        height = 192,
        --line_length = 6,
        --frame_count = 24,
        scale = 0.5,
        --shift = util.by_pixel(-5, -7)
      },
    }
  },
},
})